> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Growth Agent

> Get full details of a growth agent, including its configuration and recent runs.



## OpenAPI

````yaml get /opportunity/growth-agent/{agent_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/growth-agent/{agent_id}:
    get:
      tags:
        - Growth Agents
      summary: Get Growth Agent
      description: >-
        Get full details of a growth agent, including its configuration and
        recent runs.
      operationId: get_growth_agent_opportunity_growth_agent__agent_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GrowthAgentDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GrowthAgentDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          $ref: '#/components/schemas/GrowthAgentCategory'
        iconName:
          type: string
          title: Iconname
          default: RiRobot2Line
        isSystem:
          type: boolean
          title: Issystem
          default: false
        systemSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Systemslug
        tools:
          items:
            type: string
          type: array
          title: Tools
        dataSources:
          items:
            type: string
          type: array
          title: Datasources
        defaultDataSources:
          items:
            type: string
          type: array
          title: Defaultdatasources
        configuration:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Configuration
        lastRunDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastrundate
        lastRunStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastrunstatus
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        model:
          anyOf:
            - $ref: '#/components/schemas/LlmModelType'
            - type: 'null'
        systemPrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Systemprompt
        schedule:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Schedule
        runs:
          items:
            $ref: '#/components/schemas/GrowthAgentRunSummary'
          type: array
          title: Runs
      type: object
      required:
        - id
        - name
        - category
      title: GrowthAgentDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GrowthAgentCategory:
      type: string
      enum:
        - ANALYSIS
        - GENERATION
        - BUILDER
      title: GrowthAgentCategory
    LlmModelType:
      type: string
      enum:
        - gemini-3.5-flash
        - claude-3-7-sonnet
        - claude-3-5-haiku
        - gpt-5.2
        - gpt-5-mini
        - gpt-5-nano
        - gpt-realtime
        - gpt-realtime-mini
        - gemini-2.5-flash
        - gemini-2.5-flash-preview-05-20
        - gemini-2.5-flash-lite
        - gemini-3.5-flash
        - gemini-3.1-pro-preview
        - gemini-live
      title: LlmModelType
    GrowthAgentRunSummary:
      properties:
        id:
          type: string
          title: Id
        agentId:
          type: string
          title: Agentid
        status:
          $ref: '#/components/schemas/GrowthAgentRunStatus'
        startedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startedat
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
        durationSeconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Durationseconds
        inputDataSources:
          items:
            type: string
          type: array
          title: Inputdatasources
        inputConfig:
          additionalProperties: true
          type: object
          title: Inputconfig
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        resultSummary:
          anyOf:
            - type: string
            - type: 'null'
          title: Resultsummary
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
      type: object
      required:
        - id
        - agentId
        - status
      title: GrowthAgentRunSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GrowthAgentRunStatus:
      type: string
      enum:
        - PENDING
        - RUNNING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: GrowthAgentRunStatus

````